صفحات وضعیت
GET https://uptimer24.com/api/status-pages/
curl --request GET \
--url 'https://uptimer24.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته | رشته جستجو. |
| search_by | اختیاری رشته | شما در حال جستجو بر اساس چه فیلدی هستید. مقادیر مجاز عبارتند از: name. |
| is_enabled | اختیاری بولین | |
| project_id | اختیاری عدد صحیح | |
| domain_id | اختیاری عدد صحیح | |
| datetime_field | اختیاری رشته | مقادیر مجاز: datetime, last_datetime |
| datetime_start | اختیاری رشته | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختیاری رشته | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختیاری رشته | چه فیلدی برای مرتبسازی نتایج استفاده شود. مقادیر مجاز عبارتند از: status_page_id, datetime, last_datetime, name, pageviews. |
| order_type | اختیاری رشته | ترتیب نتایج. مقادیر مجاز عبارتند از: ASC برای ترتیب صعودی، و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح | شماره صفحهای که میخواهید نتایج از آن شروع شود. به طور پیشفرض 1 است. |
| results_per_page | اختیاری عدد صحیح | چند نتیجه در هر صفحه میخواهید. مقادیر مجاز عبارتند از: 10, 25, 50, 100, 250, 500, 1000. به طور پیشفرض 25 است. |
{
"data": [
{
"id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptimer24.com/s/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": ""
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-07-19 04:21:11",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptimer24.com/api/status-pages?page=1",
"last": "https://uptimer24.com/api/status-pages?page=1",
"next": null,
"prev": null,
"self": "https://uptimer24.com/api/status-pages?page=1"
}
}
GET https://uptimer24.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptimer24.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptimer24.com/s/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": ""
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-07-19 04:21:11",
}
}